<?php
/**
 * Webkul Software.
 *
 * @category Webkul
 * @package Webkul_MpPayPal
 * @author Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license https://store.webkul.com/license.html
 */

namespace Webkul\MpPayPal\Api\Data;

interface MpPayPalInterface
{

    const ENTITY_ID = 'entity_id';

    const QUOTE_ID = 'quote_id';

    const ORDER_ID = 'order_id';

    const SELLER_ID = 'seller_id';

    const CAPTURE_ID = 'capture_id';

    const DELAYED_PAYMENY = 'delayed_paymeny';

    const CREATED_AT = 'created_at';

    const UPDATED_AT = 'updated_at';

    /**
     * set EntityId
     *
     * @param int $entityId
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function setEntityId($entityId);
    /**
     * get EntityId
     *
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function getEntityId();
    /**
     * set QuoteId
     *
     * @param int $quoteId
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function setQuoteId($quoteId);
    /**
     * get QuoteId
     *
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function getQuoteId();
    /**
     * set OrderId
     *
     * @param int $orderId
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function setOrderId($orderId);
    /**
     * get OrderId
     *
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function getOrderId();
    /**
     * set SellerId
     *
     * @param int $sellerId
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function setSellerId($sellerId);
    /**
     * get SellerId
     *
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function getSellerId();
    /**
     * set CaptureId
     *
     * @param text $captureId
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function setCaptureId($captureId);
    /**
     * get CaptureId
     *
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function getCaptureId();
    /**
     * set DelayedPaymeny
     *
     * @param int $delayedPaymeny
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function setDelayedPaymeny($delayedPaymeny);
    /**
     * get DelayedPaymeny
     *
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function getDelayedPaymeny();
    /**
     * set CreatedAt
     *
     * @param timestamp $createdAt
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function setCreatedAt($createdAt);
    /**
     * get CreatedAt
     *
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function getCreatedAt();
    /**
     * set UpdatedAt
     *
     * @param timestamp $updatedAt
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function setUpdatedAt($updatedAt);
    /**
     * get UpdatedAt
     *
     * @return Webkul\MpPayPal\Api\Data\MpPayPalInterface
     */
    public function getUpdatedAt();
}
